# 32/64bit spec-file
#
%define	lib_major 1
%define	lib_name %{name}%{lib_major}
%define libminizip	%mklibname minizip %{lib_major}
%define minizip_devel	%mklibname minizip -d
%bcond_without minizip
%bcond_without dietlibc
Summary:	The zlib compression and decompression library
Name:		zlib
Version:	1.2.13
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://www.gzip.org/zlib/
Source0:	http://prdownloads.sourceforge.net/libpng/%{name}-%{version}.tar.xz
BuildRequires:	util-linux-ng
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The zlib compression library provides in-memory compression and
decompression functions, including integrity checks of the uncompressed
data.  This version of the library supports only one compression method
(deflation), but other algorithms may be added later, which will have
the same stream interface.  The zlib library is used by many different
system programs.

%package -n	%{lib_name}
Summary:	The zlib compression and decompression library
Group:		System/Libraries
Obsoletes:	libz, libz1, %{name}, %{_lib}zlib1 = 1.2.7-1 , %{_lib}minizip1 = 1.2.7-1

%define	liberr	%{mklibname %{name}%{lib_major}}
%rename	%{liberr}
Provides:	libz = %{version}-%{release} libz1 = %{version}-%{release} %{name} = %{version}-%{release}

%description -n	%{lib_name}
The zlib compression library provides in-memory compression and
decompression functions, including integrity checks of the uncompressed
data.  This version of the library supports only one compression method
(deflation), but other algorithms may be added later, which will have
the same stream interface.  The zlib library is used by many different
system programs.

%package -n	%{lib_name}-devel
Summary:	Header files and libraries for developing apps which will use zlib
Group:		Development/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes:	libz1-devel libz-devel zlib-devel %{_lib}zlib-devel = 1.2.7-1 %{_lib}minizip-devel = 1.2.7-1

%define	deverr	%{mklibname -d %{name}}
%rename	%{deverr}
Provides:	libz-devel = %{version}-%{release} libz1-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
The zlib-devel package contains the header files and libraries needed
to develop programs that use the zlib compression and decompression
library.

Install the zlib-devel package if you want to develop applications that
will use the zlib library.

#-------------------------------------------------------------------------
%if %{with minizip}
%package -n	%{libminizip}
Summary:	Minizip manipulates files from a .zip archive
Group:		System/Libraries

%description -n	%{libminizip}
Minizip manipulates files from a .zip archive.

%package -n	%{minizip_devel}
Summary:	Development files for the minizip library
Group:		Development/C
Requires:	%{libminizip} = %{version}-%{release}
Requires:	zlib-devel = %{version}-%{release}
Provides:	libminizip-devel = %{version}-%{release}
Provides:	minizip-devel = %{version}-%{release}

%description -n	%{minizip_devel}
This package contains the libraries and header files needed for
developing applications which use minizip.
%endif

%prep
%setup -q
%apply_patches

%build
#(peroyvind): be sure to remove -m64/-m32 flags as they're not overridable
RPM_OPT_FLAGS="`echo $RPM_OPT_FLAGS| sed -e 's/-m.. //g'` -O3"
mkdir objs
cp -a $(ls | grep -v objs) objs/
pushd objs
  CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="%{?ldflags}" \
  ./configure --shared --prefix=%{_prefix} --libdir=%{_libdir}
  %make_build
  make test
popd

%if %{with minizip}
pushd contrib/minizip
autoreconf --install
%configure2_5x --enable-static=no
%make_build
popd
%endif


%if %{with dietlibc}
mkdir objsdietlibc
cp -a $(ls | grep -v objs) objsdietlibc/
pushd objsdietlibc
  CFLAGS="-Os" CC="diet gcc" \
  ./configure --prefix=%{_prefix}
  %make_build libz.a
popd
%endif

%install
install -d %{buildroot}%{_prefix}
install -d %{buildroot}%{_libdir}

make install -C objs prefix=%{buildroot}%{_prefix} libdir=%{buildroot}%{_libdir}

%if %{with minizip}
pushd contrib/minizip
%make_install
popd
%endif

%if %{with dietlibc}
install -m644 objsdietlibc/libz.a -D %{buildroot}%{_prefix}/lib/dietlibc/lib-%{_arch}/libz.a
%endif

%if %{with minizip}
rm -fr %{buildroot}%{_libdir}/libminizip.la
# https://bugzilla.redhat.com/show_bug.cgi?id=1424609
# https://github.com/madler/zlib/pull/229
rm -fr %{buildroot}%{_includedir}/minizip/crypt.h
%endif

%clean
rm -fr %{buildroot}

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/libz.so.%{lib_major}*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_mandir}/man3/zlib.3*
%{_libdir}/libz.so
%{_libdir}/pkgconfig/zlib.pc
%{_includedir}/zconf.h
%{_includedir}/zlib.h
%{_libdir}/libz.a
%if %{with dietlibc}
%{_prefix}/lib/dietlibc/lib-%{_arch}/libz.a
%endif
%if %{with minizip}
%files -n %{libminizip}
%{_libdir}/libminizip.so.%{lib_major}*

%files -n %{minizip_devel}
%{_libdir}/pkgconfig/minizip.pc
%{_libdir}/libminizip.so
%{_includedir}/minizip/
%endif

%changelog
* Sat Oct 15 2022 tex - 1.2.13-1pclos2022
- new version
- remove upstream patches

* Sun Jan 09 2022 tex - 1.2.11-4pclos2022
- rebuild against updates

* Wed Feb 13 2019 tex 1.2.11-2pclos2019
- update fix wine

* Tue Feb 12 2019 tex 1.2.11-1pclos2019
- updates

* Tue Jan 02 2016 bb <bb. 1.2.10-1pclos2017
- new version

* Wed Jan 28 2015 bb <bb> 1.2.8-5pclos2015
- rebuild new glibc

* Tue May 20 2014 bb <bb> 1.2.8-4pclos2014
- build libz.a for drakinstaller binaries

* Mon May 19 2014 bb <bb> 1.2.8-3pclos2014
- rebuild against updates
